Uploaded image for project: 'Coin'
  1. Coin
  2. COIN-471

Binary export fails due to python3.8.0 installation missing _lzma module

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Reported
    • Priority: P2: Important
    • Resolution: Unresolved
    • Affects Version/s: master
    • Fix Version/s: None
    • Component/s: Other
    • Labels:
      None

      Description

      The Python3.8 installation in personal-coin as well as in vmbuilder are somewhat broken. This affects at least to exporting binaries, which fails to missing core module:

      Python 3.8.0 (default, Nov 12 2019, 12:09:06)
      [GCC 7.4.0] on linux
      Type "help", "copyright", "credits" or "license" for more information.
      >>> import lzma
      Traceback (most recent call last):
        File "<stdin>", line 1, in <module>
        File "/usr/local/share/python3.8.0/lib/python3.8/lzma.py", line 27, in <module>
          from _lzma import *
      ModuleNotFoundError: No module named '_lzma'
      

        Attachments

        No reviews matched the request. Check your Options in the drop-down menu of this sections header.

          Activity

            People

            Assignee:
            tosaario Toni Saario
            Reporter:
            falt Simo Fält
            Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

              Dates

              Created:
              Updated:

                Gerrit Reviews

                There are no open Gerrit changes